CVE Vulnerabilities

CVE-2003-0805

Published: Oct 06, 2003 | Modified: Oct 18, 2016
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Multiple buffer overflows in UMN gopher daemon (gopherd) 2.x and 3.x before 3.0.6 allows attackers to execute arbitrary code via (1) a long filename as a result of a LIST command, and (2) the GSisText function, which calculates the view-type.

Affected Software

Name Vendor Start Version End Version
Gopherd University_of_minnesota 2.0.3 2.0.3
Gopherd University_of_minnesota 2.0.4 2.0.4
Gopherd University_of_minnesota 2.3 2.3
Gopherd University_of_minnesota 2.3.1 2.3.1
Gopherd University_of_minnesota 3.0.0 3.0.0
Gopherd University_of_minnesota 3.0.1 3.0.1
Gopherd University_of_minnesota 3.0.2 3.0.2
Gopherd University_of_minnesota 3.0.3 3.0.3
Gopherd University_of_minnesota 3.0.4 3.0.4
Gopherd University_of_minnesota 3.0.5 3.0.5

References